﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="UsingOpenXmlSdkWebForm._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h3><asp:Label ID="WebsiteNameLabel" runat="server" /></h3>
    <asp:HyperLink ID="WebsiteUrlHyperLink" runat="server"></asp:HyperLink>
    <h4>Top 10 Countries</h4>
    <asp:Repeater ID="CountryStatisticsRepeater" runat="server">
        <HeaderTemplate>
            <table>
            <thead>
                <tr>
                    <td class="firstColumn">Country</td>
                    <td>Visits</td>
                    <td>Pages per Visit</td>
                    <td>Average Time on Site</td>
                </tr>
            </thead>
        </HeaderTemplate>
        <ItemTemplate>
            <tr>
                <td class="firstColumn"><%# Eval("Name") %></td>
                <td><%# Eval("Visits") %></td>
                <td><%# string.Format("{0:0.00}", Eval("PagesPerVisit")) %></td>
                <td><%# string.Format("{0}:{1:00}", ((DateTime)Eval("AvgTimeOnSite")).Minute, ((DateTime)Eval("AvgTimeOnSite")).Second) %></td>
            </tr>
        </ItemTemplate>
        <FooterTemplate>
            </table>
        </FooterTemplate>
    </asp:Repeater>

    <h4>Visitors for <asp:Label ID="WebsiteStartDate" runat="server" /> to <asp:Label ID="WebsiteEndDate" runat="server" /></h4>
    <asp:Repeater ID="VisitorStatisticsRepeater" runat="server">
        <HeaderTemplate>
            <table>
            <thead>
                <tr>
                    <td class="firstColumn">Date</td>
                    <td>Absolute Unique Visitors</td>
                    <td>Page Views</td>
                </tr>
            </thead>
        </HeaderTemplate>
        <ItemTemplate>
            <tr>
                <td class="firstColumn"><%# ((DateTime)Eval("Date")).ToShortDateString() %></td>
                <td><%# Eval("AbsoluteUniqueVisitors") %></td>
                <td><%# Eval("PageViews") %></td>
            </tr>
        </ItemTemplate>
        <FooterTemplate>
            </table>
        </FooterTemplate>
    </asp:Repeater>
    <br />
    <asp:Button ID="ExportToWordButton" runat="server" OnClick="ExportToWordButton_OnClick" Text="Export to Word" />
</asp:Content>
