﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Xml.Serialization;
using System.IO;
using System.Text;

namespace UsingOpenXmlSdkWebForm.Models
{
    public class Website
    {
        public string Name { get; set; }
        public string Url { get; set; }
        public Statistics Statistics { get; set; }

        public string ToXml()
        {
            string xml = string.Empty;
            StreamWriter writer = null;

            try
            {
                MemoryStream stream = new MemoryStream();
                writer = new StreamWriter(stream);
                XmlSerializer serializer = new XmlSerializer(this.GetType());
                serializer.Serialize(writer, this);
                xml = Encoding.ASCII.GetString(stream.GetBuffer());
            }
            catch
            {
            }
            finally
            {
                if (writer != null) writer.Close();
            }
            return xml;
        }
    }

    public class Statistics
    {
        [XmlElement(DataType = "date")]
        public DateTime StartDate { get; set; }
        [XmlElement(DataType = "date")]
        public DateTime EndDate { get; set; }

        public CountryStatistics[] CountryStatisticsList { get; set; }
        public VisitorStatistics[] VisitorStatisticsList { get; set; }
    }

    public class CountryStatistics
    {
        public string Name { get; set; }
        public int Visits { get; set; }
        public float PagesPerVisit { get; set; }
        [XmlElement(DataType = "time")]
        public DateTime AvgTimeOnSite { get; set; }
    }

    public class VisitorStatistics
    {
        [XmlElement(DataType = "date")]
        public DateTime Date { get; set; }
        public int AbsoluteUniqueVisitors { get; set; }
        public int PageViews { get; set; }
    }
}